%define modulename SPARQLWrapper

Name:		python-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python
Version:	1.5.2
Release:	%mkrel 3
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/%{modulename}

Source0:	https://pypi.python.org/packages/source/S/%{modulename}/%{modulename}-%{version}.tar.gz	

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools


%description
A python based wrapper around a SPARQL service. 
It helps in creating the query URI and, possibly, 
convert the result into a more manageable format.

%package -n python3-sparqlwrapper
Summary:	SPARQL Endpoint interface to Python 3
Group:		Development/Python 

%description -n python3-sparqlwrapper
A python 3 based wrapper around a SPARQL service. 
It helps in creating the query URI and, possibly, 
convert the result into a more manageable format.


%prep
%setup -q -n %{modulename}-%{version} 
rm -rf %{modulename}.egg-info
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc ChangeLog.txt README.txt LICENSE.txt AUTHORS.txt 
%{python_sitelib}/%{modulename}-*.egg-info
%{python_sitelib}/%{modulename}

%files -n python3-sparqlwrapper
%doc ChangeLog.txt README.txt LICENSE.txt AUTHORS.txt
%{python3_sitelib}/%{modulename}-*.egg-info
%{python3_sitelib}/%{modulename}



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.5.2-3.mga4
+ Revision: 544240
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5.2-2.mga4
+ Revision: 499412
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 24 2013 philippem <philippem> 1.5.2-1.mga4
+ Revision: 470872
- imported package python-sparqlwrapper

